<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.sckw</groupId>
    <artifactId>sckw-modules-bom</artifactId>
    <version>1.0.0</version>
    <packaging>pom</packaging>
    <description>modules依赖项</description>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
    </properties>
    <dependencyManagement>
        <dependencies>
            <!-- 核心模块 -->
            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-system-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-file-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-message-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-fleet-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-transport-api</artifactId>
                <version>${project.version}</version>
            </dependency>

            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-order-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-payment-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.sckw</groupId>
                <artifactId>sckw-manage-api</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>